Bug 1252565 - keySet().iterator() does not propagate flags to remove()
keySet().iterator() does not propagate flags to remove()
Status: VERIFIED
Product: JBoss Data Grid 6
Classification: JBoss
Component: Infinispan (Show other bugs)
6.5.1
Unspecified Unspecified
unspecified Severity unspecified
: ER1
: 6.5.1
Assigned To: Tristan Tarrant
Martin Gencur
:
Depends On:
Blocks: 1254178 1252576
  Show dependency treegraph
 
Reported: 2015-08-11 13:33 EDT by William Burns
Modified: 2018-02-07 19:24 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1252576 1254178 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker ISPN-5653 Major Resolved keySet().iterator() does not propagate flags to remove() 2015-09-11 02:09:23 EDT

  None (edit)
Description William Burns 2015-08-11 13:33:30 EDT
Description of problem:
Need to backport ISPN-5653

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 William Burns 2015-08-11 14:46:18 EDT
PR: https://github.com/infinispan/jdg/pull/709

Note this only affects keySet when using the infinispan.accurate.bulk.ops is set to true.

Note You need to log in before you can comment on or make changes to this bug.